%global _empty_manifest_terminate_build 0
Name:		python-pyvmomi
Version:	8.0.1.0.2
Release:	1
Summary:	VMware vSphere Python SDK
License:	Apache-2.0
URL:		https://github.com/vmware/pyvmomi
Source0:	https://files.pythonhosted.org/packages/33/36/dcdbaae24b7ccd2685bb5d975553235269edd2492b3a273ddefd11989432/pyvmomi-8.0.1.0.2.tar.gz
BuildArch:	noarch

%description
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage ESX, ESXi, and vCenter.

%package -n python3-pyvmomi
Summary:	VMware vSphere Python SDK
Provides:	python-pyvmomi = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pyvmomi
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage ESX, ESXi, and vCenter.

%package help
Summary:	Development documents and examples for pyvmomi
Provides:	python3-pyvmomi-doc
%description help
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage ESX, ESXi, and vCenter.

%prep
%autosetup -n pyvmomi-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pyvmomi -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 01 2023 chenzixuan <chenzixuan@kylinos.cn> - 8.0.1.0.2-1
- Update package to version 8.0.1.0.2

* Wed Jun 21 2023 chendexi <chendexi@kylinos.cn> - 8.0.1.0.1-1
- Update package to version 8.0.1.0.1

* Thu May 18 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 8.0.1.0-1
- Update package to version 8.0.1.0

* Mon Feb 13 2023 wubijie <wubijie@kylinos.cn> - 8.0.0.1.2-1
- Update package to version 8.0.0.1.2

* Fri Dec 16 2022 wangjunqi <wangjunqi@kylinos.cn> - 8.0.0.1-1
- Update package to version 8.0.0.1

* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 7.0.3-1
- Upgrade to version 7.0.3

* Wed May 18 2022 liukuo <liukuo@kylinos.cn> - 7.0.2-2
- License compliance rectification

* Mon Aug 09 2021 Python_Bot <Python_Bot@openeuler.org> - 7.0.2-1
- Package Spec generated
